Questions tagged [package-repositories]

for questions about repositories of Emacs packages on well-known servers, such as MELPA, GNU ELPA, and Marmalade. Emacs uses library package.el to download and install updates to packages you choose.

27 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
3
votes
2answers
370 views

Fresh install 24.5 on Windows 10 bash shell Linux 16.04 crashing on package manager

Fairly new to emacs, seemed super awesome for writing a lot of different styles. Got it working just find on my desktop using the new bash terminal - 14.04 - on my desktop. Did the exact same setup ...
3
votes
1answer
355 views

Use system-installed package with spacemacs that depends on MELPA packages

How can I include a package that is available locally on my system that depends on the string library s with spacemacs? I have an company internal package that adds functionality to magit available ...
3
votes
1answer
358 views

Can't install elm-mode using MELPA

I'm trying to install elm-mode using MELPA. When I try to install it I get an error message: https://melpa.org/packages/dash-20150829.433.el: Not found I can install other things, bu not this.
2
votes
0answers
198 views

AUCTeX is obsolete on GNU ELPA?

I got this warning when installing AUCTeX from GNU ELPA. The package is installed, but I don't want to use obsolete packages for obvious reasons. I have check the official website of AUCTeX, and it ...
2
votes
0answers
52 views

Are there any lisp projects like jazz band?

I was curious is there anything like https://jazzband.co/ but for emacs lisp where you can submit packages so that they can be submitted / maintained by a group rather than an individual ?
2
votes
0answers
140 views

How to list all the packages installed from source

Is there a way to list all the packages originally installed via package-install-file? Looking at the results of package-list-packages, it doesn't differentiate between different installation methods....
2
votes
0answers
452 views

melpa won't load on emacs windows

I am using emacs on windows 7. Emacs is located on a usb on a university computer with no admin access but correctly loads the .emacs file. In my .emacs file I have (custom-set-variables '(package-...
1
vote
0answers
68 views

Can not connect to a package archive?

I was trying to install beacon and got this error, package--check-signature-content: Failed to verify signature: "seq-2.20.tar.sig" Before installing, I ran package-refresh-content which gave an ...
1
vote
0answers
111 views

Getting error “Failed to download 'gnu' archive” on Emacs 26.3

I'm currently using Ubuntu 18.04, and trying out Emacs for the first time. However, whenever I run the command package-refresh-contents, I get the the follow error: Failed to download 'gnu' archive ...
1
vote
0answers
91 views

MELPA no longer works: error in process sentinel: End of file during parsing

MELPA no longer updates after no changes of mine. With a minimal .emacs of (require 'package) (add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t) (add-to-list 'package-...
1
vote
0answers
132 views

Error on package-list-packages

I've started to get the following errors when running package-list-packages. Searching online hasn't come up with anything. If anyone can suggest a cause and/or a solution I'd be very grateful. ...
1
vote
0answers
162 views

How to override spacemacs package to use new ELPA version instead of pinned version

I'd like to use csv-mode 1.7 from ELPA, but spacemacs (develop branch) wants to use the pinned version spacemacs/.cache/stable-elpa/25.1.1/spacelpa-0.300/csv-mode-1.6.el (even if I delete that file ...
1
vote
0answers
233 views

Cannot load markdown-mode

Problem I've recently switched to NixOS and I'm having a couple of problems with my init.el. One I think is NixOS related and so I won't elaborate here, but I can't think of any NixOS component to ...
1
vote
0answers
132 views

Pinning version of a “core” package

How can I pin a version of "smartparens". I thought If I add this to dotspacemacs-additional-packages: (smartparens :location (recipe :fetcher github :repo "Fuco1/smartparens" ...
1
vote
0answers
276 views

Adding package from non-standard ELPA Repository to Layer

So I have a package I would like to add from an ELPA repository different than MELPA. The repository is called "billpiel" and the link is http://billpiel.com/emacs-packages/. I would like to add the ...
1
vote
0answers
84 views

Uploading a package to melpa

I like sqlplus package on emacs. It works perfect when I use oracle dbms, however, my company uses Tibero, which is not available on melpa repository. I would like to write a melpa package for this ...
1
vote
0answers
2k views

Why am I getting an error while downloading Melpa packages in Emacs on Win7 OS

I am using Emacs on a Win7 machine. I have added the Melpa repo. in init.el. When I do M-x list-packages, I do get a buffer listing the packages from Melpa. But, when i try to download them, I get an ...
0
votes
0answers
34 views

Debugging “Package lacks a file header”

I'm playing around with developing and publishing an Emacs package, very simple stuff, just trying things out before I commit to a bigger project. The problem that I'm having is that after I've made a ...
0
votes
0answers
46 views

How to use the same elpa directory to download packages for different Emacs starter kits

I am using different Emacs starter kits. The problem is that each starter kit, I use different directories (for example, for prelude I use´.emacsPrelude.d´, for SciMax I use ´.emacsSciMax.d´) . But ...
0
votes
0answers
20 views

emacs-omnisharp unable to use unity project files

I'm using emacs-omnisharp to try to complete a project with Unity, but the omnisharp server doesn't seem to be able to open or use the project data. I know that the server works because I get ...
0
votes
0answers
38 views

Cannot access gnu.org from macOS

I am using a MacBookPro with macOS High Sierra 10.13.2 using Chrome as a browser. I cannot access elpa.gnu.org or www.gnu.org. As a result my emacs installation does not work anymore.
0
votes
0answers
88 views

Accidentally deleted Ivy. Now what?

I went to M-x list-packages and accidentally deleted Ivy. How do I get it back in M-x list packages now?
0
votes
0answers
98 views

How to get path to library installed through elpa

I have Emacs installed on multiple machines, and every time I install yasnippet through elpa. As it's version changes, it is being installed into different directories. For example: #first machine ~/....
0
votes
0answers
634 views

Emacs init with spacemacs fails all the time - Error connection time out for melpa repository

I installed GNU Emacs 25.2.1 64bit and downloaded spacemacs the way it is described in their git repo. Now when starting up through runemacs.exe the following output occurs: Warning (spacemacs): ...
0
votes
2answers
224 views

Can't install Plantuml-mode — MELPA Package list Incomplete (Mac)

I'm trying to install plantuml-mode based on the instructions here: https://github.com/skuro/plantuml-mode I'm told to try the following: M-x package-install<RET> plantuml-mode<RET> ...
0
votes
0answers
221 views

MELPA's public key

I'd like to install Magit. According to the Installation chapter of the Magit user manual Magit is available from Melpa and Melpa-Stable. If you haven’t used Emacs’ package manager before, then it ...
0
votes
0answers
107 views

Emacs does not use swapped alt&win after xmodmap runs? (GUI emacs)

I have a mac-book-air. I swapped my Alt & Win with xmodmap as per linux post like so: keycode 64 = Alt_L keycode 133 = Super_L remove Mod1 = Alt_L remove Mod4 = Super_L add Mod1 = Super_L add ...